Perl Programming Documentation
Download Perl
Explore

Manual

- Overview
- Tutorials
- FAQs
- History / Changes
- License

Reference

- Language
- Functions
- Operators
- Special Variables
- Pragmas
- Utilities
- Internals
- Platform Specific

Modules

- A • B • C • D • E
- F • G • H • I • L
- M • N • O • P • S
- T • U • X

Tools

- Preferences

# CPANPLUS::Shell::Default::Plugins::Source

Perl 5 version 16.0 documentation
Go to top
Show page index • Show recent pages
Recently read

# CPANPLUS::Shell::Default::Plugins::Source

- NAME
- SYNOPSIS
- DESCRIPTION
- BUG REPORTS
- AUTHOR
- COPYRIGHT
- SEE ALSO

# NAME

CPANPLUS::Shell::Default::Plugins::Source - read in CPANPLUS commands

# SYNOPSIS

        CPAN Terminal> /source /tmp/list_of_commands /tmp/more_commands

# DESCRIPTION

This is a `CPANPLUS::Shell::Default` plugin that works just like your unix shells source(1) command; it reads in a file that has commands in it to execute, and then executes them.

A sample file might look like this:

        # first, update all the source files    x --update_source    # find all of my modules that are on the CPAN    # test them, and store the error log    a ^KANE$'    t *    p /home/kane/cpan-autotest/log    # and inform us we're good to go    ! print "Autotest complete, log stored; please enter your commands!"

Note how empty lines, and lines starting with a '#' are being skipped in the execution.

# BUG REPORTS

Please report bugs or other issues to <bug-cpanplus@rt.cpan.org<gt>.

# AUTHOR

This module by Jos Boumans <kane@cpan.org>.

# COPYRIGHT

The CPAN++ interface (of which this module is a part of) is copyright (c) 2001 - 2007, Jos Boumans <kane@cpan.org>. All rights reserved.

This library is free software; you may redistribute and/or modify it under the same terms as Perl itself.

# SEE ALSO

CPANPLUS::Shell::Default, CPANPLUS::Shell, cpanp

Page index

- NAME
- SYNOPSIS
- DESCRIPTION
- BUG REPORTS
- AUTHOR
- COPYRIGHT
- SEE ALSO